CREATE procedure [C6Staging].[RP_ST_AssetClass]
as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_AssetClass',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	truncate table c6staging.RP_AssetClass
	insert into c6staging.RP_AssetClass (
	Asset,
	Madre,
	Livello,
	Descrizione,
	codicergb,
	isresidual )
	select 
	Asset,
	Madre,
	Livello,
	Descrizione,
	codicergb,
	isresidual
	from [CONSUNI].[CatalogoProdotti].dbo.AssetClass
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_AssetClass' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_AssetClass'
		)
end